Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kieker.tools.traceAnalysis.systemModel
Class TraceInformation

    java.lang.Object
      kieker.tools.traceAnalysis.systemModel.TraceInformation

    public class TraceInformation

extends Object

This class stores trace meta-information, such as the trace ID. This kept separate from the actual trace information to allow references to traces without the need to keep the trace itself.

Since:
  1.6
Author:
  Holger Knoche

Constructor Summary
`TraceInformation(long traceId, String sessionId)` Creates a new trace information object using the given data.

Method Summary
`boolean` | `equals(Object other)`
`String` | `getSessionId()` Returns the trace's session ID, if any.
`long` | `getTraceId()` Returns the trace ID.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TraceInformation

    public TraceInformation(long traceId,
                            String sessionId)

  Creates a new trace information object using the given data.

  Parameters:
    `traceId` - The trace ID to use
    `sessionId` - The session ID to use

Method Detail

### getTraceId

    public long getTraceId()

  Returns the trace ID.

  Returns:
    See above

### getSessionId

    public String getSessionId()

  Returns the trace's session ID, if any.

  Returns:
    See above. Note that this ID may be `null`.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object other)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Kieker 1.10
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2014 Kieker Project, http://kieker-monitoring.net